Subject: Re: Problem with ar.exe
From: [email-masked] (Nick van Eijndhoven)

19 Feb 1997 06:24:30 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Jim Balter)
Original-Cc: [email-masked], [email-masked],
        [email-masked] (Nick van Eijndhoven)
In-Reply-To: <[email-masked]> from "Jim Balter" at Feb 19, 97 04:23:20 am
X-Mailer: ELM [version 2.4 PL25]
Original-Sender: [email-masked]

*** Jim Balter wrote :
> 
> Nick van Eijndhoven wrote:
> 
> > Question : How can I run the ar pass by specifying a filename where
> > the names of the .o files are given.
> 
> ar rs lib.a `cat input.dat`
> 
> or
> 
> bash -c 'ar rs lib.a `cat input.dat`'
> 
> if you aren't using bash as the command processor.
> 
> --
> <J Q B>
> 
Dear Jim,
Thanks for your quick reply.
However, since the intention is to use the GCC stuff of GNU-win32 as
a standard in (some of) the main experiments at CERN (Geneva), it will
be used worldwide. In view of this it is not obvious that everyone
would like to use a UNIX like (or bash) environment.
It is clear that in such a UNIX like environment things work well,
but in view of the worldwide use of our analysis programs I want to 
setup things such that they also work under pure windows95.
This is a big advantage using this CMZ code manager, which has exactly the
same functionality on all platforms. Therefore gcc and ar should be able
to run in a DOS box under windows95. With the DJGPP package this is
indeed the case, so why not use the same ar.exe in gnu-win32 than the
DJGPP one ? Currently I solved the problem by just copying the DJGPP
ar.exe into the gnu-win32 /bin directory but this clearly will give
problems in keeping up with future releases.
So if the @input.dat feature could be introduced again into ar.exe
the functionality would again be the same on both windows95/nt and DOS.
If this is not possible, one possibility would be to introduce a
-f parameter into ar.exe which indicates the file containing the names
of the .o files to be processed.
The command would then become : ar rs lib.a -f input.dat

                                             Cheers,
                                              Nick.

*----------------------------------------------------------------------*
 Dr. Nick van Eijndhoven                Department of Subatomic Physics
 email : [email-masked]                Utrecht University / NIKHEF
 tel. +31-30-2532331 (direct)           P.O. Box 80.000
 tel. +31-30-2531492 (secr.)            NL-3508 TA Utrecht
 fax. +31-30-2518689                    The Netherlands
 WWW : http://www.fys.ruu.nl/~nick      Office : Ornstein lab. 172
*----------------------------------------------------------------------*
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".